### Enumeration

# WebKit CredentialPersistence

#### Declaration

    enum WebKit.CredentialPersistence

#### Description [src]

Enum values representing the duration for which a credential persists.

Available since: | 2.2

#### Members

Name | Description
--- | ---
`WEBKIT_CREDENTIAL_PERSISTENCE_NONE` | Credential does not persist.
`WEBKIT_CREDENTIAL_PERSISTENCE_FOR_SESSION` | Credential persists for session only.
`WEBKIT_CREDENTIAL_PERSISTENCE_PERMANENT` | Credential persists permanently.